Autocomplete cant find right path


#1

Hi there,

Cant figure out the right path for autocomplete.

Im getting the following error message:


Please set path to python executable manually in package
settings and restart your editor. Be sure to migrate on new settings
if everything worked on previous version.
Detailed error message: ‘C:\Users\ErfanNariman\AppData\Local\Programs\Python\Python36’ is not recognized as an internal or external command,
operable program or batch file.
Current config: C:\Users\ErfanNariman\AppData\Local\Programs\Python\Python36

Does ayone know how I can fix this?


#2

Do you have Python 3 installed on your computer?


#3

Yes, if you look at the path you see that I have python3.6 installed.

It worked fine, but I moved my stuff from a mac to a windows laptop. Then the error message came up.

I deinstalled and installed the package, but didnt help.


#4

When I look at the path in your post, I see that Atom is looking for 3.6 in a place where it’s not usually found. My installation is at C:\Python36-32 and I don’t believe installing in AppData/Local is the default. That’s why I asked, because the error message is unusual. If you’re 100% sure that Python 3 is installed in that specific path, then the problem is that you’re pointing at Python36/ the directory and not Python36/python.exe the program. You can also add C:\Users\ErfanNariman\AppData\Local\Programs\Python\Python36 to your system PATH variable, close and reopen Atom, and then simply point the package to python.